| libmp3splt 0.9.2 Lossless library for splitting audio formats like mp3, ogg vorbis and FLAC. |

Macros | Functions
Other utilities
Using libmp3splt

## Macros
#define | SPLT_DIRCHAR '/'
#define | SPLT_DIRSTR "/"

## Functions
int | mp3splt_set_silence_points (splt_state *state, splt_code *error)
splt_code | mp3splt_set_trim_silence_points (splt_state *state)
char * | mp3splt_get_version ()
int | mp3splt_check_if_directory (const char *filename)

## Detailed Description

## Macro Definition Documentation

#define SPLT_DIRCHAR '/'

Path separator as character (/ or \)

Definition at line 2117 of file mp3splt.h.

#define SPLT_DIRSTR "/"

Path separator as string (/ or \)

Definition at line 2121 of file mp3splt.h.

## Function Documentation

int mp3splt_set_silence_points | ( | splt_state * | state,
|  | splt_code * | error
| ) |  |

Scan for silence and set silence splitpoints in the `state`.

Parameters

  [in] | state | Main state.
  [out] | error | Possible error; can be NULL.

Returns
  The number of silence spots found.

splt_code mp3splt_set_trim_silence_points | ( | splt_state * | state | ) |

Scan for silence and set silence trim splitpoints in the `state`.

Parameters

  [in] | state | Main state.

Returns
  Possible error.

char* mp3splt_get_version | ( |  | ) |

Returns the version of libmp3splt.

Result must be freed.

int mp3splt_check_if_directory | ( | const char * | filename | ) |

Returns SPLT_TRUE if `filename` is a directory.